/**
 * CFilterSwitchRadio - 筛选项目，单选
 * @author Tevin
 */

<template>
    <view
        class="c-filter-switch-radio"
        :class="'type-'+type"
    >
        <view
            class="label"
            v-if="type==='item'"
        >{{label}}</view>
        <CSwitchRadio
            :itemRes="{
                label: type==='bar' ? label : '',
                name: switchName,
                formData: switchData,
                onChange: evt => handleChange(evt),
            }"
            checkAlign="left"
            checkedLabel="在线"
            uncheckedLabel="离线"
        />
    </view>
</template>

<script>
import Taro from '@tarojs/taro';
import { CSwitchRadio } from '@components/forms/switch';
import './cFilterSwitchRadio.scss';

export default {
    name: 'CFilterSwitchRadio',
    components: {
        CSwitchRadio,
    },
    props: {
        type: String,
        label: String,
        value: Boolean,
        onChange: Function,
    },
    data() {
        return {
            switchName: 'radio',
            switchData: {
                radio: '',
            },
        };
    },
    computed: {},
    watch: {
        value(newVal, oldVal) {
            this.switchData.radio = newVal;
        },
    },
    methods: {
        handleChange(value) {
            this.onChange(value);
        },
    },
    mounted() {
        this.switchData.radio = this.value;
    },
};
</script>